package com.shkj.wms.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fasterxml.jackson.databind.ser.Serializers;
import com.shkj.common.core.domain.Result;
import com.shkj.wms.bo.BasePointAddBo;
import com.shkj.wms.bo.BasePointQueryBo;
import com.shkj.wms.domain.BasePoint;
import com.shkj.wms.vo.BasePointGroupVo;
import com.shkj.wms.vo.BasePointVo;

/**
 * 点位管理Service接口
 *
 * @author zjx
 * @date 2023-04-20
 */
public interface IBasePointService extends IService<BasePoint>{
    /**
     * 查询点位管理
     *
     * @param id 点位管理主键
     * @return 点位管理
     */
    public BasePoint selectBasePointById(Long id);

    /**
     * 查询点位管理列表
     *
     * @param basePoint 点位管理
     * @return 点位管理集合
     */
    public List<BasePoint> selectBasePointList(BasePoint basePoint);

    /**
     * 新增点位管理
     *
     * @param basePoint 点位管理
     * @return 结果
     */
    public Result<Boolean> insertBasePoint(BasePoint basePoint);

    /**
     * 修改点位管理
     *
     * @param basePoint 点位管理
     * @return 结果
     */
    public Result<Boolean> updateBasePoint(BasePoint basePoint);

    /**
     * 删除点位管理
     *
     * @param id 需要删除的点位管理主键
     * @return 结果
     */
    public Result<Boolean> deleteBasePointById(Long id);

    public BasePointVo selectBasePointByQuery(BasePointQueryBo bo);

    public BasePoint selectBasePoint(BasePoint basePoint);

    public BasePoint selectBasePointByPointNo(String pointNo);

}
